ChartDirector Ver 5.0 (PHP Edition)

XYChart.swapXY

Usage

swapXY([ b ])

Description

Swap the position of the x and y axes, so the x-axes will become vertical, and the y-axes will become horizontal.
After swapping the x and y axes, the charts will appear rotated. For example, the bars in a bar chart will become horizontal instead of vertical, and the area in a stacked area chart will grow from left to right (instead of bottom to top).

Arguments

Argument | Default | Description
--- | --- | ---
b | true (non-zero) | A true (non-zero) value means the x and y axes will be swapped. A false (zero) value means the x and y axes not be swapped.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.